Index: /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1782)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1783)
@@ -1,227 +1,233 @@
-<metal:html>
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header" 
-                 tal:define="global info context/getStudyLevelInfo;
-                 global is_so context/isSectionOfficer;
-                 global is_ca info/is_ca;
-                 global show_check_boxes info/show_check_boxes;
-		             global is_student info/is_student;
-		             global status_info info/status_info;
-		             global review_state info/review_state;
-		             global view_only info/view_only">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
+<metal:body use-macro="here/main_template/macros/master">
+
+  <metal:main fill-slot="main"
+          tal:define="info context/getStudyLevelInfo;">
+             
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define= "is_so context/isSectionOfficer;
+                       is_ca info/is_ca;
+                       show_check_boxes info/show_check_boxes;
+                       is_student info/is_student;
+                       status_info info/status_info;
+                       review_state info/review_state;
+                       view_only info/view_only">       
+          
+          
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+            <div style="text-align: right"
+           tal:condition="python:review_state == 'courses_validated'">
+      <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+          onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Course Registration Slip
       </a>
-              <div style="text-align: right"
-             tal:condition="python:review_state == 'courses_validated'">
-        <a href="" target="slip" tal:attributes="href string:course_registration_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Course Registration Slip
-        </a>
-        
-        </div>
-
-      <h3> 
-        <span tal:condition="python: is_so or is_ca">
-          <span tal:content="info/student/name" />:
-        </span>
-        <span tal:condition="is_student">My </span>
-        
-        Course Registration Form for <span tal:content="here/title_or_id" />
-      </h3>
-
-    </metal:block>
-    <metal:main fill-slot="main" tal:condition="python:1">
-      <form action="." method="post" class="group" onsubmit="return submit_once()">
-        <span tal:condition="info/carry_overs" tal:omit-tag="">
-        <h4>Carryover Courses</h4>
-        <br />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
-          <tr tal:repeat="row info/carry_overs"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;"
-                tal:condition="show_check_boxes">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/grade|string:"></td>
-          </tr>
-        </table>
-        </span> 
-        <br />
-        <h4>Session Courses</h4>
-        <br />
-      <div class="" tal:condition="not: info/normal">
-        <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
-        <br /><br />
+      
       </div>
-        <table class="contentListing" width="100%" id="folder_content"
-               tal:condition="info/normal">      
-          <tr tal:repeat="row info/normal"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;"
-	              tal:condition="show_check_boxes">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
-          </tr>
-          <tr>
-            <td tal:condition="show_check_boxes" colspan="1"></td>
-            <td colspan="1"></td>
-            <th colspan="2">Total Credits:</th>
-            <td align="center" width="2%" tal:content="info/credits_total"></td>
-          </tr>
-        </table>
-
-        
-      
-        
-        <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input type="submit" name="delete_course_result:method" value="Delete selected"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('Do you really want to delete selected courses?', )" 
-                       />
-                <input type="submit" name="refresh_level:method"
-                       class="context" value="Update" 
-                       />
-                      
-                       
-                <br /><br />
-                <input tal:condition="info/normal" 
-                       type="submit" name="register_courses:method"
-                       class="context" value="Submit" />
-                       
-                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>  
-                       
-                <br /><br />
-                
-                <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
-                prior deletion, i.e. already deleted courses will show up again. 
-                
-                Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
-                       
-            </td>
-          </tr>
-        </table>
-        <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input type="button" value="Select all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="delete_course_result:method" value="Delete selected"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('Do you really want to delete the courses selected?', )" 
-                       />
-                <input 
-                       type="submit" name="refresh_level:method"
-                       class="context" value="Update" 
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
-                       class="context" value="Submit" />  
-                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
-                       class="context" value="Validate" />
-                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
-                       class="context" value="Reject" />
-                       
-                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>                         
-                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                       tal:attributes="value string:contact_student_form"/>                         
-
-            </td>
-          </tr>
-        </table>
-        <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="button" value="Select all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="submit" name="delete_course_result:method" value="Delete selected"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('Do you really want to delete the courses selected?', )" 
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="submit" name="refresh_level:method"
-                       class="context" value="Update" 
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
-                       class="context" value="Submit" />  
-                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
-                       class="context" value="Validate" />
-                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
-                       class="context" value="Reject" />
-                       
-                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>                         
-                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                       tal:attributes="value string:contact_student_form"/>    
-                                             
-
-            </td>
-          </tr>
-        </table>
-
-      </form>
+
+    <h3> 
+      <span tal:condition="python: is_so or is_ca">
+        <span tal:content="info/student/name" />:
+      </span>
+      <span tal:condition="is_student">My </span>
+      
+      Course Registration Form for <span tal:content="here/title_or_id" />
+    </h3>
+             
+    <form action="." method="post" class="group" onsubmit="return submit_once()">
+      <span tal:condition="info/carry_overs" tal:omit-tag="">
+      <h4>Carryover Courses</h4>
       <br />
-        <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
-            tal:condition="show_check_boxes">
-        <table>
-          <tr>
-            <th>Course Id</th>
-            <td><input type="text" name="course_id" 
-                       tal:attributes="value request/course_id|nothing"/></td>
-            <td colspan="2">
-              <input type="submit" name="add"
-                     class="context" value="Add Course" 
-                     />
+      <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+        <tr tal:repeat="row info/carry_overs"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+              tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="78%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="8%" tal:content="row/grade|string:"></td>
+        </tr>
+      </table>
+      </span> 
+      <br />
+      <h4>Session Courses</h4>
+      <br />
+    <div class="" tal:condition="not: info/normal">
+      <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+      <br /><br />
+    </div>
+      <table class="contentListing" width="100%" id="folder_content"
+             tal:condition="info/normal">      
+        <tr tal:repeat="row info/normal"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="78%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="8%" tal:content="row/coe|nothing"></td>
+        </tr>
+        <tr>
+          <td tal:condition="show_check_boxes" colspan="1"></td>
+          <td colspan="1"></td>
+          <th colspan="2">Total Credits:</th>
+          <td align="center" width="2%" tal:content="info/credits_total"></td>
+        </tr>
+      </table>
+
+      
+    
+      
+      <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete selected courses?', )" 
+                     />
+              <input type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+                    
+                     
+              <br /><br />
+              <input tal:condition="info/normal" 
+                     type="submit" name="register_courses:method"
+                     class="context" value="Submit" />
+                     
               <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>                       
-            </td>                
-        </table>
-        </form>         
-    </metal:main>
-  </metal:body>
-</metal:html>
-  
+                     tal:attributes="value string:study_level_view"/>  
+                     
+              <br /><br />
+              
+              <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
+              prior deletion, i.e. already deleted courses will show up again. 
+              
+              Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
+                     
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input 
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value string:contact_student_form"/>                         
+
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value string:contact_student_form"/>    
+                                           
+
+          </td>
+        </tr>
+      </table>
+
+    </form>
+    <br />
+      <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
+          tal:condition="show_check_boxes">
+      <table>
+        <tr>
+          <th>Course Id</th>
+          <td><input type="text" name="course_id" 
+                     tal:attributes="value request/course_id|nothing"/></td>
+          <td colspan="2">
+            <input type="submit" name="add"
+                   class="context" value="Add Course" 
+                   />
+            <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                       
+          </td>                
+      </table>
+      </form>   
+  </span>
+  </span>          
+  </metal:main>
+</metal:body>
+
